var

 p:array [1..1000000] of longint;
i,j,u,s:longint;      n,k:1..1000000;

begin
assign(input,'A.in');
reset(input);
assign(output,'A.out');
rewrite(output);
readln(input,N,K);
for i:=1 to n do read(input,P[i]);

for i:= 1 to n do
for j:= i+1 to n do
if P[i]>P[j] then begin u:=P[i]; P[i]:=P[j]; P[j]:=u;end;
for i:= k+1 to n do  s:=s+p[i];
write(output,S);


close(output);
end.
